{% load static %}

{% block content %}
<!DOCTYPE html>
<html>

<head>
    <title></title>
</head>

<body>
    <header>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                    <li>
                        <a href={% url 'show_my_tasks' %}>My tasks</a>
                    </li>
                    <li>
                        <a href={% url 'list_projects' %}>My projects</a>
                    </li>
                    <li>
                        <a href={% url 'logout' %}>Logout</a>
                    </li>
                    {% else %}
                    <li>
                        <a href={% url 'login' %}>login</a>
                    </li>
                    <li>
                        <a href={% url 'signup' %}>Signup</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
    </header>
    <main>
        <div>
            <h1>My Tasks</h1>
            <table>
                <thead>
                    <th>Name</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </thead>
                <tbody>
                    {% for task in model_list %}
                    <tr>
                        <td>{{ task.name }}</td>
                        <td>{{ task.start_date }}</td>
                        <td>{{ task.due_date }}</td>
                        <td>{{ task.is_completed }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            <p>You have no tasks</p>
        </div>
    </main>
    <footer>
    </footer>
</body>

</html>
{% endblock content %}
